import { EChain, EComponentStatus, EDataProvider } from "../enum/index.js";
export declare class ComponentStatus {
    primaryProvider: EComponentStatus;
    secondaryProvider: EComponentStatus;
    alchemyIndexer: Map<EChain, EComponentStatus>;
    etherscanIndexer: Map<EChain, EComponentStatus>;
    moralisIndexer: Map<EChain, EComponentStatus>;
    nftScanIndexer: Map<EChain, EComponentStatus>;
    oklinkIndexer: Map<EChain, EComponentStatus>;
    chainStatus: ChainComponentStatus[];
    constructor(primaryProvider: EComponentStatus, secondaryProvider: EComponentStatus, alchemyIndexer: Map<EChain, EComponentStatus>, etherscanIndexer: Map<EChain, EComponentStatus>, moralisIndexer: Map<EChain, EComponentStatus>, nftScanIndexer: Map<EChain, EComponentStatus>, oklinkIndexer: Map<EChain, EComponentStatus>, chainStatus: ChainComponentStatus[]);
}
export declare class ChainComponentStatus {
    chain: EChain;
    transactionIndexer: EDataProvider | null;
    nftIndexer: EDataProvider | null;
    balanceIndexer: EDataProvider | null;
    constructor(chain: EChain, transactionIndexer: EDataProvider | null, nftIndexer: EDataProvider | null, balanceIndexer: EDataProvider | null);
}
export declare class EProviderFunctions {
    balances: EIndexerFunction | null;
    nft: EIndexerFunction | null;
    transactions: EIndexerFunction | null;
    constructor(balances: EIndexerFunction | null, nft: EIndexerFunction | null, transactions: EIndexerFunction | null);
}
export declare enum EIndexerFunction {
    Available = "Available",
    Error = "Error",
    NoKeyProvided = "NoKeyProvided",
    Disabled = "Disabled",
    InUse = "In Use",
    TemporarilyDisabled = "Temporarily Disabled"
}
export declare class IndexerSupportSummary {
    chain: EChain;
    balances: boolean;
    transactions: boolean;
    nfts: boolean;
    constructor(chain: EChain, balances: boolean, transactions: boolean, nfts: boolean);
}
//# sourceMappingURL=ComponentStatus.d.ts.map