import { ResultAsync } from "neverthrow";
import { EVMNFT, EVMTransaction, TokenBalance } from "../../../businessObjects/index.js";
import { AccountIndexingError, AjaxError, MethodSupportError } from "../../../errors/index.js";
import { IIndexer } from "../../../interfaces/chains/IIndexer.js";
import { ChainId, EVMAccountAddress } from "../../../primitives/index.js";
export interface IEVMIndexer extends IIndexer {
    getBalancesForAccount(chainId: ChainId, accountAddress: EVMAccountAddress): ResultAsync<TokenBalance[], AccountIndexingError | AjaxError | MethodSupportError>;
    getTokensForAccount(chainId: ChainId, accountAddress: EVMAccountAddress): ResultAsync<EVMNFT[], AccountIndexingError | AjaxError | MethodSupportError>;
    getEVMTransactions(chainId: ChainId, accountAddress: EVMAccountAddress, startTime: Date, endTime?: Date): ResultAsync<EVMTransaction[], AccountIndexingError | AjaxError | MethodSupportError>;
}
export declare const IAnkrIndexerType: unique symbol;
export declare const IAlchemyIndexerType: unique symbol;
export declare const ICovalentEVMTransactionRepositoryType: unique symbol;
export declare const IDummySolanaIndexerType: unique symbol;
export declare const IEtherscanIndexerType: unique symbol;
export declare const IMoralisEVMPortfolioRepositoryType: unique symbol;
export declare const INftScanEVMPortfolioRepositoryType: unique symbol;
export declare const IOklinkIndexerType: unique symbol;
export declare const IPoapRepositoryType: unique symbol;
export declare const IPolygonIndexerType: unique symbol;
export declare const ISimulatorEVMTransactionRepositoryType: unique symbol;
export declare const ISolanaIndexerType: unique symbol;
//# sourceMappingURL=IEVMIndexer.d.ts.map